USE COWS
GO

ALTER TABLE dbo.LK_USER
ADD [MENU_PREF] CHAR(1) NULL
GO

ALTER TABLE dbo.USER_WFM 
ADD [USR_PRF_ID] SMALLINT NULL
GO

ALTER TABLE [dbo].USER_WFM  ADD  CONSTRAINT [FK14_USER_WFM] FOREIGN KEY([USR_PRF_ID])
REFERENCES [dbo].[LK_USR_PRF] ([USR_PRF_ID])
GO

ALTER TABLE arch.USER_WFM_ASMT
ADD [USR_PRF_ID] SMALLINT NULL
GO

ALTER TABLE arch.USER_WFM_ASMT  ADD  CONSTRAINT [FK05_USER_WFM_ASMT_arch] FOREIGN KEY([USR_PRF_ID])
REFERENCES [dbo].[LK_USR_PRF] ([USR_PRF_ID])
GO

ALTER TABLE arch.FSA_ORDR_GOM_XNCI
ADD [USR_PRF_ID] SMALLINT NULL
GO

ALTER TABLE arch.FSA_ORDR_GOM_XNCI  ADD  CONSTRAINT [FK07_FSA_ORDR_GOM_XNCI_Arch] FOREIGN KEY([USR_PRF_ID])
REFERENCES [dbo].[LK_USR_PRF] ([USR_PRF_ID])
GO

ALTER TABLE dbo.MAP_RPT_GRP
ADD [USR_PRF_ID] SMALLINT NULL
GO

ALTER TABLE [dbo].MAP_RPT_GRP  ADD  CONSTRAINT [FK03_MAP_RPT_GRP] FOREIGN KEY([USR_PRF_ID])
REFERENCES [dbo].[LK_USR_PRF] ([USR_PRF_ID])
GO

ALTER TABLE dbo.USER_WFM_ASMT
ADD [USR_PRF_ID] SMALLINT NULL
GO

ALTER TABLE [dbo].USER_WFM_ASMT  ADD  CONSTRAINT [FK05_USER_WFM_ASMT] FOREIGN KEY([USR_PRF_ID])
REFERENCES [dbo].[LK_USR_PRF] ([USR_PRF_ID])
GO

ALTER TABLE dbo.LK_XNCI_RGN
ADD [USR_PRF_ID] SMALLINT NULL
GO

ALTER TABLE [dbo].LK_XNCI_RGN  ADD  CONSTRAINT [FK04_LK_XNCI_RGN] FOREIGN KEY([USR_PRF_ID])
REFERENCES [dbo].[LK_USR_PRF] ([USR_PRF_ID])
GO

ALTER TABLE dbo.FSA_ORDR_GOM_XNCI
ADD [USR_PRF_ID] SMALLINT NULL
GO

ALTER TABLE [dbo].FSA_ORDR_GOM_XNCI  ADD  CONSTRAINT [FK07_FSA_ORDR_GOM_XNCI] FOREIGN KEY([USR_PRF_ID])
REFERENCES [dbo].[LK_USR_PRF] ([USR_PRF_ID])
GO

ALTER TABLE dbo.LK_SITE_CNTNT
ADD [USR_PRF_ID] SMALLINT NULL
GO

ALTER TABLE [dbo].LK_SITE_CNTNT  ADD  CONSTRAINT [FK05_LK_SITE_CNTNT] FOREIGN KEY([USR_PRF_ID])
REFERENCES [dbo].[LK_USR_PRF] ([USR_PRF_ID])
GO

ALTER TABLE dbo.LK_DSPL_COL
ADD [SRC_TBL_COL_NME_NEW] varchar(50) NULL
GO

ALTER TABLE dbo.CPT_USER_ASMT 
ADD [USR_PRF_ID] SMALLINT NULL
GO

ALTER TABLE [dbo].[CPT_USER_ASMT]  ADD  CONSTRAINT [FK05_CPT_USER_ASMT] FOREIGN KEY([USR_PRF_ID])
REFERENCES [dbo].[LK_USR_PRF] ([USR_PRF_ID])
GO

ALTER TABLE dbo.LK_DSPL_COL
ADD SRC_TBL_COL_NME_NEW varchar(50) NULL
GO

UPDATE dbo.LK_DSPL_COL
SET SRC_TBL_COL_NME_NEW = SRC_TBL_COL_NME